| Flutter Impeller |

Classes | Public Member Functions | Public Attributes | List of all members
impeller::SubpixelGlyph Struct Reference

A glyph and its subpixel position. More...

`#include <font_glyph_pair.h>`

## Classes
struct | Equal
struct | Hash

## Public Member Functions
| SubpixelGlyph (Glyph p_glyph, Point p_subpixel_offset, std::optional< GlyphProperties > p_properties)

## Public Attributes
Glyph | glyph
Point | subpixel_offset
std::optional< GlyphProperties > | properties

## Detailed Description

A glyph and its subpixel position.

Definition at line 54 of file font_glyph_pair.h.

## Constructor & Destructor Documentation

## ◆ SubpixelGlyph()

impeller::SubpixelGlyph::SubpixelGlyph | ( | Glyph | p_glyph,
|  | Point | p_subpixel_offset,
|  | std::optional< GlyphProperties > | p_properties
| ) |  |
| inline

Definition at line 59 of file font_glyph_pair.h.

62 : glyph(p_glyph),
63 subpixel_offset(p_subpixel_offset),
64 properties(p_properties) {}

## Member Data Documentation

## ◆ glyph

Glyph impeller::SubpixelGlyph::glyph

Definition at line 55 of file font_glyph_pair.h.

Referenced by impeller::CanAppendToExistingAtlas(), impeller::ComputeGlyphSize(), impeller::CreateAtlasBitmap(), impeller::DrawGlyph(), impeller::SubpixelGlyph::Hash::operator()(), impeller::SubpixelGlyph::Equal::operator()(), impeller::TextContents::Render(), and impeller::testing::TEST_P().

## ◆ properties

std::optional<GlyphProperties> impeller::SubpixelGlyph::properties

Definition at line 57 of file font_glyph_pair.h.

Referenced by impeller::BulkUpdateAtlasBitmap(), impeller::ComputeGlyphSize(), impeller::SubpixelGlyph::Hash::operator()(), impeller::SubpixelGlyph::Equal::operator()(), and impeller::UpdateAtlasBitmap().

## ◆ subpixel_offset

Point impeller::SubpixelGlyph::subpixel_offset

Definition at line 56 of file font_glyph_pair.h.

Referenced by impeller::ComputeGlyphSize(), impeller::DrawGlyph(), impeller::SubpixelGlyph::Hash::operator()(), and impeller::SubpixelGlyph::Equal::operator()().

The documentation for this struct was generated from the following file:

- impeller/typographer/font_glyph_pair.h

impeller::SubpixelGlyph::subpixel_offset
Point subpixel_offset
Definition: font_glyph_pair.h:56
impeller::SubpixelGlyph::properties
std::optional< GlyphProperties > properties
Definition: font_glyph_pair.h:57
impeller::SubpixelGlyph::glyph
Glyph glyph
Definition: font_glyph_pair.h:55